[導入]Railsのインストール


以下を用意して動画をご覧ください。

  • WEBブラウザ(最新のGoogle Chromeを推奨します)
  • Cloud9のアカウントこちらをご覧になるとアカウントの作り方が解説されています

Pickup

Gemfileの ~> について

何も指定しなければ、最新のバージョンを取ってこようとしますが、それをある程度柔軟に指定するための記号です。

"~>x.0"というような記述の場合

x.1からx.9はインストールされるが、メインのバージョンが違うものはインストールされないという意味です。

  • "~>3.1": 3.2や3.3はインストールされますが、4.0はインストールされません。
  • "~>4.2.6": 4.2.7や4.2.9はインストールされますが、4.3はインストールされません。

もっと学ぼう

検索するクセをつけよう

動画内で "~>"を調べる時に「Gemfile バージョン」 で検索していました。同じように「Gemfile バージョン」で検索してRailsドキュメントを読んでみましょう。

言葉

タイポ(typo)

書き間違いのことです。


コメントを残す